var group__fft3d =
[
    [ "Backend common wrappers", "group__fft3dbackend.html", "group__fft3dbackend" ],
    [ "Backend cufft", "group__hefftecuda.html", "group__hefftecuda" ],
    [ "Backend fftw3", "group__hefftefftw.html", "group__hefftefftw" ],
    [ "Backend mkl", "group__hefftemkl.html", "group__hefftemkl" ],
    [ "Backend oneAPI", "group__heffteoneapi.html", "group__heffteoneapi" ],
    [ "Backend rocfft", "group__heffterocm.html", "group__heffterocm" ],
    [ "Backend stock", "group__hefftestock.html", "group__hefftestock" ],
    [ "Box-geometry operations", "group__fft3dgeometry.html", "group__fft3dgeometry" ],
    [ "Complex types", "group__fft3dcomplex.html", "group__fft3dcomplex" ],
    [ "Event tracing", "group__hefftetrace.html", "group__hefftetrace" ],
    [ "Helper Methods from MAGMA", "group__fft3magma.html", "group__fft3magma" ],
    [ "Helper wrappers around MPI methods", "group__hefftempi.html", "group__hefftempi" ],
    [ "Miscellaneous helpers", "group__fft3dmisc.html", "group__fft3dmisc" ],
    [ "Packing/Unpacking operations", "group__hefftepacking.html", "group__hefftepacking" ],
    [ "Plan transformation logic", "group__fft3dplan.html", "group__fft3dplan" ],
    [ "Reshape operations", "group__hefftereshape.html", "group__hefftereshape" ],
    [ "Sine and Cosine Transforms", "group__fft3dr2r.html", "group__fft3dr2r" ],
    [ "heffte", "namespaceheffte.html", null ],
    [ "heffte::fft3d< backend_tag, index >", "classheffte_1_1fft3d.html", [
      [ "backend_executor", "classheffte_1_1fft3d.html#ac5d40d64cf59b863e7478209996d6107", null ],
      [ "buffer_container", "classheffte_1_1fft3d.html#aeb62ee60533b362f133f21cdd1911bec", null ],
      [ "real_buffer_container", "classheffte_1_1fft3d.html#af6dcff3a3c678e64552066957be81980", null ],
      [ "output_buffer_container", "classheffte_1_1fft3d.html#a39f229cbf43a1e7eee55d762579e3a7e", null ],
      [ "location_tag", "classheffte_1_1fft3d.html#a3b9d2b3e80788752589804c64b9b4afc", null ],
      [ "fft3d", "classheffte_1_1fft3d.html#a1d337dece28dd2d2aa0e93af04f9763b", null ],
      [ "fft3d", "classheffte_1_1fft3d.html#ab5794a91773074377e6e59ded8face53", null ],
      [ "fft3d", "classheffte_1_1fft3d.html#afce4f8d8c20c3a00201350ccb08efd82", null ],
      [ "fft3d", "classheffte_1_1fft3d.html#a4b040e785ab22ab8a7d1e97416c923a1", null ],
      [ "fft3d", "classheffte_1_1fft3d.html#ade8e59360229edef921a7fb243dc3c52", null ],
      [ "size_inbox", "classheffte_1_1fft3d.html#a1642e77a8b3f46da866434cbccdf82d9", null ],
      [ "size_outbox", "classheffte_1_1fft3d.html#a726c48d33d5b5435f1798553b7a24aa5", null ],
      [ "inbox", "classheffte_1_1fft3d.html#a50effa46fe61de579ba62576d54aa211", null ],
      [ "outbox", "classheffte_1_1fft3d.html#a5a04aac787f778aec28d68b5bf11ae76", null ],
      [ "forward", "classheffte_1_1fft3d.html#a249a705ba2a7b3de377d8ffa26283d12", null ],
      [ "forward", "classheffte_1_1fft3d.html#a9a8d70947661542edbfea7105c62b930", null ],
      [ "forward", "classheffte_1_1fft3d.html#a165715d91c47e78fa5bf4e1dab9b17fd", null ],
      [ "forward", "classheffte_1_1fft3d.html#afc19100751760ab9293560a1dc241fa8", null ],
      [ "forward", "classheffte_1_1fft3d.html#a6192fb4812cfe8225211059066cbfd03", null ],
      [ "backward", "classheffte_1_1fft3d.html#a1e723ec55ffaf3bb9e4534b31582e7f9", null ],
      [ "backward", "classheffte_1_1fft3d.html#a936868279c36a1984ffdea7f0efe07e7", null ],
      [ "backward", "classheffte_1_1fft3d.html#abb8502a9d2d88c3fc9d610af5749c873", null ],
      [ "backward", "classheffte_1_1fft3d.html#a9a71a9d0dbd7845c0948db99284a9afa", null ],
      [ "backward", "classheffte_1_1fft3d.html#a0a81e6ce5d3d8905ae6f9451d6f96203", null ],
      [ "backward_real", "classheffte_1_1fft3d.html#a3d53faf6e558ed63e6382aee2c0ff582", null ],
      [ "get_scale_factor", "classheffte_1_1fft3d.html#a3b53983101465e795f039b7c3ee995b3", null ],
      [ "size_workspace", "classheffte_1_1fft3d.html#aa820b442a35660123c7f8e652a210a8c", null ],
      [ "size_comm_buffers", "classheffte_1_1fft3d.html#afadef8ba323b3049cb81bf5d36186070", null ]
    ] ],
    [ "heffte::fft3d_r2c< backend_tag, index >", "classheffte_1_1fft3d__r2c.html", [
      [ "backend_executor_c2c", "classheffte_1_1fft3d__r2c.html#ac5645b0d98a5ede0971e012ea5ffbb6e", null ],
      [ "backend_executor_r2c", "classheffte_1_1fft3d__r2c.html#a502ebe301e32c1c5d899283a41d4cdcc", null ],
      [ "location_tag", "classheffte_1_1fft3d__r2c.html#a710727c09ba32ac473cf35397e26c7ed", null ],
      [ "buffer_container", "classheffte_1_1fft3d__r2c.html#a2e1fefb8e5013f31d48fd9dcdd793bc8", null ],
      [ "real_buffer_container", "classheffte_1_1fft3d__r2c.html#a0e288866564e7d12287ec95695aeacec", null ],
      [ "output_buffer_container", "classheffte_1_1fft3d__r2c.html#a803ee1cf1616c08ab5ff2808a18b1314", null ],
      [ "fft3d_r2c", "classheffte_1_1fft3d__r2c.html#a706872c1cfa90729d33198c758b64e36", null ],
      [ "fft3d_r2c", "classheffte_1_1fft3d__r2c.html#a62ed62a314613f5ccf8fb05df46af4d7", null ],
      [ "fft3d_r2c", "classheffte_1_1fft3d__r2c.html#a14f987b10e60be6d65cb875b711065b6", null ],
      [ "fft3d_r2c", "classheffte_1_1fft3d__r2c.html#adf785e117680189b229963adc3435ddf", null ],
      [ "fft3d_r2c", "classheffte_1_1fft3d__r2c.html#aa6010dba665d7a36aabb015b4048dd79", null ],
      [ "size_inbox", "classheffte_1_1fft3d__r2c.html#a66b79723f78cf9f1ea5d2b00b217b3f8", null ],
      [ "size_outbox", "classheffte_1_1fft3d__r2c.html#a7d381ece929d12ae10e660951aa039f8", null ],
      [ "inbox", "classheffte_1_1fft3d__r2c.html#a5e76fa308d301bb43a442cf7f272c8e1", null ],
      [ "outbox", "classheffte_1_1fft3d__r2c.html#a82bca32d5135b0cc12e258319118e02a", null ],
      [ "size_workspace", "classheffte_1_1fft3d__r2c.html#addbfb7d7962acad1c0e66faefdb68381", null ],
      [ "size_comm_buffers", "classheffte_1_1fft3d__r2c.html#a3889e71b801a226cc5b2c6a55dce6102", null ],
      [ "forward", "classheffte_1_1fft3d__r2c.html#a1dc0b7c454e98b0905e614030f88dcc9", null ],
      [ "forward", "classheffte_1_1fft3d__r2c.html#add193030468b3c59c90cad8d628c5877", null ],
      [ "forward", "classheffte_1_1fft3d__r2c.html#a8f35d3e08a3308f403ce9f7c50118097", null ],
      [ "forward", "classheffte_1_1fft3d__r2c.html#ae8050aa1c744d3e14220ae49bc685584", null ],
      [ "forward", "classheffte_1_1fft3d__r2c.html#a979f5ecf3218fa151b53fe45f81d8b28", null ],
      [ "backward", "classheffte_1_1fft3d__r2c.html#af655d4b64740b94c27d57c396198a0da", null ],
      [ "backward", "classheffte_1_1fft3d__r2c.html#ae704581dc4be2201f2784234ffc2132b", null ],
      [ "backward", "classheffte_1_1fft3d__r2c.html#aac0bbd227f1caf1e15c9c30b0873b463", null ],
      [ "backward", "classheffte_1_1fft3d__r2c.html#a479ce39c4bdb0cd3eae3413f8762be5d", null ],
      [ "backward", "classheffte_1_1fft3d__r2c.html#ab1c9a09f58d843c01336223a625f6d7c", null ],
      [ "get_scale_factor", "classheffte_1_1fft3d__r2c.html#af04c79cb99789e7a28d7e9bd919f705d", null ]
    ] ],
    [ "heffte::box3d< index >", "structheffte_1_1box3d.html", [
      [ "box3d", "structheffte_1_1box3d.html#a1792ae4c8a043b87aa2733fb7255169a", null ],
      [ "box3d", "structheffte_1_1box3d.html#a6eadc38edc43ae83707d3d5e1ccfdb36", null ],
      [ "box3d", "structheffte_1_1box3d.html#aad3f4b43abbf7aeec4c4c9fd2dbe66e2", null ],
      [ "box3d", "structheffte_1_1box3d.html#abbd22d4cc74afc74d83fa67bd5ecf2d9", null ],
      [ "empty", "structheffte_1_1box3d.html#a386faaf6108f321eca5a334557336615", null ],
      [ "count", "structheffte_1_1box3d.html#a8bce7ff43ff4483ccfd80c372bb819a6", null ],
      [ "collide", "structheffte_1_1box3d.html#a1c44f9e9fa3b33de47f9d8708e01e331", null ],
      [ "r2c", "structheffte_1_1box3d.html#a834afa9d585eaaa047e656ca7dc5db2e", null ],
      [ "is2d", "structheffte_1_1box3d.html#a6907e43e02b4c4be3402c762581120ce", null ],
      [ "operator==", "structheffte_1_1box3d.html#a310cb34db143812c3a1b78000658ee8f", null ],
      [ "operator!=", "structheffte_1_1box3d.html#a2b6ec65b21f44a849d3655bb2670216a", null ],
      [ "ordered_same_as", "structheffte_1_1box3d.html#aa50094796d7640f39fc1663053baef2b", null ],
      [ "find_order", "structheffte_1_1box3d.html#ab41101a3a990a0785c3fd78a4f833f30", null ],
      [ "osize", "structheffte_1_1box3d.html#af511df6e2d8e03afc2f79e0548acef4b", null ],
      [ "low", "structheffte_1_1box3d.html#aaa4abcee136213388df9ae363e33c8c8", null ],
      [ "high", "structheffte_1_1box3d.html#ab86bc20cf1eaba6c4b9b2dcb63033185", null ],
      [ "size", "structheffte_1_1box3d.html#a76aea01f1090189c317cfb56ef2e996c", null ],
      [ "order", "structheffte_1_1box3d.html#ad5476621fa6cd5053bfe7b33a864f34d", null ]
    ] ],
    [ "heffte::plan_options", "structheffte_1_1plan__options.html", [
      [ "plan_options", "structheffte_1_1plan__options.html#a030deb7d02b8078273fcef3aec61cf81", null ],
      [ "plan_options", "structheffte_1_1plan__options.html#acdf2036279a21275cae569089691e15d", null ],
      [ "use_num_subranks", "structheffte_1_1plan__options.html#a180cca2f2146900df58aef7ff5775941", null ],
      [ "use_subcomm", "structheffte_1_1plan__options.html#a9448c6b2579007d19339644c41666df0", null ],
      [ "get_subranks", "structheffte_1_1plan__options.html#a03bd60a8d3462d54ea072775746702c5", null ],
      [ "use_reorder", "structheffte_1_1plan__options.html#a62bf760501d96b597122df2175e76add", null ],
      [ "algorithm", "structheffte_1_1plan__options.html#a347a09b1a9f9c2397588f7c550521ab8", null ],
      [ "use_pencils", "structheffte_1_1plan__options.html#ad01d66e416b57465b5162f1503cb79a0", null ],
      [ "use_gpu_aware", "structheffte_1_1plan__options.html#a6ce33ffd444e585458296999f9562585", null ]
    ] ],
    [ "heffte::is_ccomplex< scalar_type >", "structheffte_1_1is__ccomplex.html", null ],
    [ "heffte::is_zcomplex< scalar_type >", "structheffte_1_1is__zcomplex.html", null ],
    [ "heffte::fft2d", "group__fft3d.html#ga5d8e89403041187082e2f585647bf694", null ],
    [ "heffte::rtransform", "group__fft3d.html#ga4338e0e66984fe3423406a1b390d0dfe", null ],
    [ "heffte::fft2d_r2c", "group__fft3d.html#ga94d48d9f4d6d6a04d9632554073513d4", null ],
    [ "heffte::box2d", "group__fft3d.html#gaba0cefa08c6905adecdae754f7d7d2d5", null ],
    [ "heffte::scale", "group__fft3d.html#gae0a0922e2be72d5af2c9faad038874cb", [
      [ "heffte::scale::none", "group__fft3d.html#ggae0a0922e2be72d5af2c9faad038874cba334c4a4c42fdb79d7ebc3e73b517e6f8", null ],
      [ "heffte::scale::full", "group__fft3d.html#ggae0a0922e2be72d5af2c9faad038874cbae9dc924f238fa6cc29465942875fe8f0", null ],
      [ "heffte::scale::symmetric", "group__fft3d.html#ggae0a0922e2be72d5af2c9faad038874cbafeca3c730601be7fd57f1f0b668b4637", null ]
    ] ],
    [ "heffte::reshape_algorithm", "group__fft3d.html#ga4c9d07a6600d0e32939ec064c0604767", [
      [ "heffte::reshape_algorithm::alltoallv", "group__fft3d.html#gga4c9d07a6600d0e32939ec064c0604767a41e6ccca7462b34d43b6a760723cc670", null ],
      [ "heffte::reshape_algorithm::alltoall", "group__fft3d.html#gga4c9d07a6600d0e32939ec064c0604767a09f2839323bd93ef1a409b35b67a2d17", null ],
      [ "heffte::reshape_algorithm::p2p_plined", "group__fft3d.html#gga4c9d07a6600d0e32939ec064c0604767a701368ea3fd1a615c4c4c9123514f010", null ],
      [ "heffte::reshape_algorithm::p2p", "group__fft3d.html#gga4c9d07a6600d0e32939ec064c0604767a705bcf0e77bc8b6fc8e66cbf3c055e6c", null ]
    ] ],
    [ "heffte::make_fft3d", "group__fft3d.html#ga2dc63547b07276910cd30e6437f06c6a", null ],
    [ "heffte::make_fft3d_r2c", "group__fft3d.html#gaf64c60c501558da66a3a7a6e8cad11c2", null ],
    [ "heffte::operator<<", "group__fft3d.html#ga901debbc4dc0371eebf92f981ec91dfe", null ],
    [ "heffte::set_options", "group__fft3d.html#ga8c2c4b54da75fafbe68b3115d4390a66", null ],
    [ "heffte::default_options", "group__fft3d.html#ga91349491856002b9e5f4cdf24912c01a", null ]
];